package com.fs.ad.service;

import java.time.LocalDate;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.ad.domain.BdReportData;

/**
 * 百度定向统计Service接口
 * 
 * @author fs
 * @date 2025-03-13
 */
public interface IBdReportDataService extends IService<BdReportData>{
    /**
     * 查询百度定向统计
     * 
     * @param id 百度定向统计主键
     * @return 百度定向统计
     */
    BdReportData selectBdReportDataById(Long id);

    /**
     * 查询百度定向统计列表
     * 
     * @param bdReportData 百度定向统计
     * @return 百度定向统计集合
     */
    List<BdReportData> selectBdReportDataList(BdReportData bdReportData);

    /**
     * 新增百度定向统计
     * 
     * @param bdReportData 百度定向统计
     * @return 结果
     */
    int insertBdReportData(BdReportData bdReportData);

    /**
     * 修改百度定向统计
     * 
     * @param bdReportData 百度定向统计
     * @return 结果
     */
    int updateBdReportData(BdReportData bdReportData);

    /**
     * 批量删除百度定向统计
     * 
     * @param ids 需要删除的百度定向统计主键集合
     * @return 结果
     */
    int deleteBdReportDataByIds(Long[] ids);

    /**
     * 删除百度定向统计信息
     * 
     * @param id 百度定向统计主键
     * @return 结果
     */
    int deleteBdReportDataById(Long id);

    void syncReportData(LocalDate time);
    void syncCreativeStatistics(LocalDate time);
}
